> For the complete documentation index, see [llms.txt](https://docs.aisuru.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aisuru.com/api/backend/governance-rule-category.md).

# Governance Rule Category

## GET /api/v2/GovernanceRuleCategory/{strToken}/{strCategoryID}

>

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/GovernanceRuleCategory/{strToken}/{strCategoryID}":{"get":{"tags":["GovernanceRuleCategory"],"operationId":"GovernanceRuleCategory-GetGovernanceRuleCategory","parameters":[{"name":"strToken","in":"path","required":true,"schema":{"type":"string"}},{"name":"strCategoryID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetGovernanceRuleCategoryResponse"}}}}}}}},"components":{"schemas":{"GetGovernanceRuleCategoryResponse":{"type":"object","properties":{"governanceRuleCategory":{"$ref":"#/components/schemas/GovernanceRuleCategorySpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false},"GovernanceRuleCategorySpecs":{"required":["name"],"type":"object","properties":{"categoryID":{"type":"string","nullable":true},"tenantID":{"type":"string","description":"Null for platform default categories; set for tenant-defined categories.","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string"},"isDefault":{"type":"boolean","description":"True for immutable platform categories. Ignored in writes."},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a GovernanceRuleCategory object."}}}}
````

## GET /api/v2/GovernanceRuleCategories/{strToken}

>

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/GovernanceRuleCategories/{strToken}":{"get":{"tags":["GovernanceRuleCategory"],"operationId":"GovernanceRuleCategory-ListGovernanceRuleCategories","parameters":[{"name":"strToken","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGovernanceRuleCategoriesResponse"}}}}}}}},"components":{"schemas":{"ListGovernanceRuleCategoriesResponse":{"type":"object","properties":{"governanceRuleCategories":{"type":"array","items":{"$ref":"#/components/schemas/GovernanceRuleCategorySpecs"},"nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false},"GovernanceRuleCategorySpecs":{"required":["name"],"type":"object","properties":{"categoryID":{"type":"string","nullable":true},"tenantID":{"type":"string","description":"Null for platform default categories; set for tenant-defined categories.","nullable":true},"name":{"maxLength":255,"minLength":1,"type":"string"},"isDefault":{"type":"boolean","description":"True for immutable platform categories. Ignored in writes."},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a GovernanceRuleCategory object."}}}}
````
